summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2006-02-07 03:49:42 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2006-02-07 03:49:42 (GMT)
commit761d50fcf9669feafe025cc18abf3573460d1a64 (patch)
tree239e946031facc11822c8eaf072743dcfc3b65d8 /bin
parent7a3fc0eb1316cb5f640f862a94984f5be53a44be (diff)
downloadhdf5-761d50fcf9669feafe025cc18abf3573460d1a64.zip
hdf5-761d50fcf9669feafe025cc18abf3573460d1a64.tar.gz
hdf5-761d50fcf9669feafe025cc18abf3573460d1a64.tar.bz2
[svn-r11921] Purpose:
improvement. Description: Release must be run at the top of the hdf5 source directory. Added a test to verify this condition at the beginning of the command. Platforms tested: Tested by hand.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/release7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/release b/bin/release
index d361078..5b93a25 100755
--- a/bin/release
+++ b/bin/release
@@ -99,6 +99,13 @@ EOF
}
+# This command must be run at the top level of the hdf5 source directory.
+# Verify this requirement.
+if [ ! \( -f configure -a -f bin/release \) ]; then
+ echo "$0 must be run at the top level of the hdf5 source directory"
+ exit 1
+fi
+
# Defaults
DEST=releases
VERS=`perl bin/h5vers`